list_splice_init
Prev | Doubly Linked Lists | Next

## Name

list_splice_init — join two lists and reinitialise the emptied list.

## Synopsis

`void list_splice_init (` | struct list_head * | list,
| struct list_head * | head`)`;

## Arguments

`list`

  the new list to add.

`head`

  the place to add it in the first list.

## Description

The list at `list` is reinitialised

Prev | Up | Next
list_splice | Home | list_splice_init_rcu